Subject: Re: bug#52394: 27.2; Isearch with char folding enableddoesn’t match equivalent strings

From: Juri Linkov <[email-masked]>
Date: Sun, 12 Dec 2021 20:54:51 +0200

>> Here is the doc string.  How do you propose to make it more clear?
>>
>>     "Non-nil means to override all default folding characters.
>>   When nil, the equivalence table is populated with the default set
>>   of equivalent chars, and you can remove unneeded characters using
>>   `char-fold-exclude', and add own characters using `char-fold-include'.
>>   But when this variable is customized to non-nil, you start with
>>   an empty table where you can add only own characters
>>   using `char-fold-include'."
>
> My reading of this is that the feature by default will not work at all:
> since the default value is not nil, the doc string says that I "start
> with an empty table", so no folding will happen.  Is that what you
> meant?  And if so, how isn't this a change in behavior?  In Emacs 27
> the folding works by default and finds equivalent characters without
> any user intervention.
>
> What am I missing?

But doesn't this line

  "when this variable is customized to non-nil"

imply that the default is nil?  Or maybe the nil default value
should be mentioned in the doc string?